changeset 390:56f5db12a125

configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
author Mychaela Falconia <falcon@freecalypso.org>
date Wed, 17 Jan 2018 20:10:32 +0000
parents 5addc2943fa2
children 1da4c0cc9fc2
files configure.sh
diffstat 1 files changed, 36 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/configure.sh	Wed Jan 17 19:54:56 2018 +0000
+++ b/configure.sh	Wed Jan 17 20:10:32 2018 +0000
@@ -45,6 +45,11 @@
 	exit 1
 fi
 
+# target defaults that can be overridden by $TARGET.conf
+
+CHIPSET=10
+DSP=36
+RF=12
 DISABLE_SLEEP=0
 
 . "targets/$TARGET.conf"
@@ -52,6 +57,35 @@
 BUILD_DIR="build-$TARGET-$CONFIG"
 USE_STR2IND=0
 
+# settings derived from the target-defined DSP version
+
+case "$DSP" in
+	33)
+		AMR=0
+		L1_DYN_DSP_DWNLD=0
+		L1_VOICE_MEMO_AMR=0
+		MELODY_E2=0
+		SPEECH_RECO=0
+		;;
+	34)
+		AMR=1
+		L1_DYN_DSP_DWNLD=0
+		L1_VOICE_MEMO_AMR=0
+		MELODY_E2=0
+		SPEECH_RECO=0
+		;;
+	36)
+		AMR=1
+		L1_DYN_DSP_DWNLD=1
+		L1_VOICE_MEMO_AMR=1
+		MELODY_E2=1
+		SPEECH_RECO=1
+		;;
+	*)
+		echo "Error: DSP=$DSP setting not understood" 1>&2
+		exit 1
+esac
+
 # configurable feature settings
 
 SERIAL_DYNAMIC_SWITCH=0
@@ -154,6 +188,8 @@
 # invoke the configuration recipe
 
 export BUILD_DIR TARGET USE_STR2IND
+export CHIPSET DSP RF
+export AMR L1_DYN_DSP_DWNLD L1_VOICE_MEMO_AMR MELODY_E2 SPEECH_RECO
 export DISABLE_SLEEP
 export INIT_blob
 export SERIAL_DYNAMIC_SWITCH